| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Public Attributes | List of all members
Io::FileHdlr Struct Referencefinal

`#include <GaudiKernel/IFileMgr.h>`

Collaboration diagram for Io::FileHdlr:
[legend]

## Public Member Functions
| FileHdlr ()=default
| FileHdlr (IoTech t, bfcn_open_t o, bfcn_close_t c, bfcn_reopen_t r)
| FileHdlr (IoTech t, bfcn_open_t o, bfcn_closeP_t c, bfcn_reopenP_t r)
| FileHdlr (IoTech t, bfcn_open_t o, bfcn_close_t c1, bfcn_closeP_t c2, bfcn_reopen_t r1, bfcn_reopenP_t r2)

## Public Attributes
IoTech | tech = UNKNOWN
bfcn_open_t | b_open_fcn
bfcn_close_t | b_close_fcn
bfcn_closeP_t | b_closeP_fcn
bfcn_reopen_t | b_reopen_fcn
bfcn_reopenP_t | b_reopenP_fcn

## Detailed Description

Definition at line 244 of file IFileMgr.h.

## Constructor & Destructor Documentation

## ◆ FileHdlr() [1/4]

Io::FileHdlr::FileHdlr | ( |  | ) |
| default

## ◆ FileHdlr() [2/4]

Io::FileHdlr::FileHdlr | ( | IoTech | t,
|  | bfcn_open_t | o,
|  | bfcn_close_t | c,
|  | bfcn_reopen_t | r
| ) |  |
| inline

Definition at line 254 of file IFileMgr.h.

255 : tech( t ), b_open_fcn( o ), b_close_fcn( c ), b_reopen_fcn( r ){};
gaudirun.c
c
Definition: gaudirun.py:487
Io::FileHdlr::b_reopen_fcn
bfcn_reopen_t b_reopen_fcn
Definition: IFileMgr.h:250
Io::FileHdlr::b_close_fcn
bfcn_close_t b_close_fcn
Definition: IFileMgr.h:248
Io::FileHdlr::b_open_fcn
bfcn_open_t b_open_fcn
Definition: IFileMgr.h:247
Io::FileHdlr::tech
IoTech tech
Definition: IFileMgr.h:245

## ◆ FileHdlr() [3/4]

Io::FileHdlr::FileHdlr | ( | IoTech | t,
|  | bfcn_open_t | o,
|  | bfcn_closeP_t | c,
|  | bfcn_reopenP_t | r
| ) |  |
| inline

Definition at line 256 of file IFileMgr.h.

257 : tech( t ), b_open_fcn( o ), b_closeP_fcn( c ), b_reopenP_fcn( r ){};
gaudirun.c
c
Definition: gaudirun.py:487
Io::FileHdlr::b_closeP_fcn
bfcn_closeP_t b_closeP_fcn
Definition: IFileMgr.h:249
Io::FileHdlr::b_reopenP_fcn
bfcn_reopenP_t b_reopenP_fcn
Definition: IFileMgr.h:251
Io::FileHdlr::b_open_fcn
bfcn_open_t b_open_fcn
Definition: IFileMgr.h:247
Io::FileHdlr::tech
IoTech tech
Definition: IFileMgr.h:245

## ◆ FileHdlr() [4/4]

Io::FileHdlr::FileHdlr | ( | IoTech | t,
|  | bfcn_open_t | o,
|  | bfcn_close_t | c1,
|  | bfcn_closeP_t | c2,
|  | bfcn_reopen_t | r1,
|  | bfcn_reopenP_t | r2
| ) |  |
| inline

Definition at line 258 of file IFileMgr.h.

259 : tech( t ), b_open_fcn( o ), b_close_fcn( c1 ), b_closeP_fcn( c2 ), b_reopen_fcn( r1 ), b_reopenP_fcn( r2 ){};
Io::FileHdlr::b_reopen_fcn
bfcn_reopen_t b_reopen_fcn
Definition: IFileMgr.h:250
Io::FileHdlr::b_close_fcn
bfcn_close_t b_close_fcn
Definition: IFileMgr.h:248
Io::FileHdlr::b_closeP_fcn
bfcn_closeP_t b_closeP_fcn
Definition: IFileMgr.h:249
Io::FileHdlr::b_reopenP_fcn
bfcn_reopenP_t b_reopenP_fcn
Definition: IFileMgr.h:251
Io::FileHdlr::b_open_fcn
bfcn_open_t b_open_fcn
Definition: IFileMgr.h:247
Io::FileHdlr::tech
IoTech tech
Definition: IFileMgr.h:245

## Member Data Documentation

## ◆ b_close_fcn

bfcn_close_t Io::FileHdlr::b_close_fcn

Definition at line 248 of file IFileMgr.h.

## ◆ b_closeP_fcn

bfcn_closeP_t Io::FileHdlr::b_closeP_fcn

Definition at line 249 of file IFileMgr.h.

## ◆ b_open_fcn

bfcn_open_t Io::FileHdlr::b_open_fcn

Definition at line 247 of file IFileMgr.h.

## ◆ b_reopen_fcn

bfcn_reopen_t Io::FileHdlr::b_reopen_fcn

Definition at line 250 of file IFileMgr.h.

## ◆ b_reopenP_fcn

bfcn_reopenP_t Io::FileHdlr::b_reopenP_fcn

Definition at line 251 of file IFileMgr.h.

## ◆ tech

IoTech Io::FileHdlr::tech = UNKNOWN

Definition at line 245 of file IFileMgr.h.

The documentation for this struct was generated from the following file:

- GaudiKernel/GaudiKernel/IFileMgr.h